J'ai plus accès à LS après MàJ confort...

More
4 months 4 weeks ago #216423 by Philippe
Bonjour,
Comme un emm... n'arrive jamais seul... J'ai fait ce matin une mise à jour confort... Et lorsque j'ai appuyé sur fin il a planté avec un message d'erreur que je n'ai pas eu le temps de noter.
Cependant lorsque j'essaye de le relancer j'obtiens une belle page blanche avec ce message :
Warning: Spoiler!


Je suis chez OVH et je suis allé vérifier la version du PHP c'est actuellement la 7.3... J'ai vérifié le fichier .ovhconfig à la racine et y a bien app.engine.version=7.3...
J'ai testé en tentant de régresser le PHP vers 7.0 ben ... ça fonctionne toujours pas ...
Est ce que vous auriez une idée ?
Amicalement
Philippe

Please Log in to join the conversation.

More
4 months 4 weeks ago #216425 by DenisChenu
Tu peux repasser sur la 3.26.3+210511 ?
github.com/LimeSurvey/LimeSurvey/releases/tag/3.26.3%2B210511

Assez facilement ?

En terme de BDD elle est compatible sans problème.

Sinon : envoi un mail à This email address is being protected from spambots. You need JavaScript enabled to view it. , on peux pas faire grand chose.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
4 months 4 weeks ago #216432 by Philippe
Bonjour Denis,
Merci pour ta réponse.
Entre temps j'ai fait différents test et effectivement il s'agit d'un problème d'incompatibilité de la version avec php...
J'ai essayé de changer la version de php seulement pour le répertoire de LS mais ça ne fonctionne pas, c'est tout le WWW qui est impacté par un changement ...
Et du coup le site au dessus, c'est lui qui fonctionne plus si je passe en 7.3...

La seule solution serait de "régresser" la version de Limesurvey mais je ne sais pas comment faire de manière safe et le lien que tu viens de me donner amène vers un ZIP contenant du code source et ça ... Je sais pas faire ...

Bref... Je suis un peu dans la mouise comme dirait l'autre ... Et j'ai pas le temps de migrer le site parent vers une version ultérieure compatible 7.x ... Alors que je sais bien que LA BONNE solution serait celle là...

Bon, merci pour l'aide en tout cas
Amicalement
Philippe

Please Log in to join the conversation.

More
4 months 4 weeks ago #216444 by DenisChenu
Alors,

1. Décompresser le zip
2. Se fournir un client FTP (filezilla est un example)
3. Envoyer tous le contenu du répertoire LimeSurvey-3.26.3-210511 dans le contenu du répertoire LimeSurvey
4. Se rendre sur l'admin.

manual.limesurvey.org/Upgrading_from_a_p...any_later_version.29

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
4 months 4 weeks ago #216450 by c_schmitz
Nous avons fourni un fichier de mise à jour à télécharger pour que vous puissiez corriger votre installation existante.

Veuillez le télécharger à l'adresse suivante : bugs.limesurvey.org/view.php?id=17304#c64482

Best regards

Carsten Schmitz
LimeSurvey project leader
The following user(s) said Thank You: DenisChenu, Philippe

Please Log in to join the conversation.

More
4 months 3 weeks ago #216471 by DenisChenu
Philippe : au cas ou tu peux contacter le support : This email address is being protected from spambots. You need JavaScript enabled to view it..

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
4 months 3 weeks ago #216499 by Philippe
Bonsoir
Et ... Gros gros merci à vous deux Denis et M. Schmitz !
Avec le patch ça refonctionne et le bouzin me dit que c'est à jour...

Question tout de même : La prochaine mise à jour qu'il va demander => Est ce que je la fait ou je vais encore tout casser ?
Sachant que j'ai pas encore eu le temps de d'upgrader le site sus-jacent et donc le PHP qui est toujours en 5.6 (Je sais c'est mal de pas mettre à jour... Mais j'ai pas eu le temps...)

Question 2 : J'ai un autre site qui est dans la même configuration mais j'ai pas fait l'update de LS ... Est ce que je la fait et je passe le Patch dessus ou bien je touche à rien ?

Encore un gros merci
Philippe

Please Log in to join the conversation.

More
4 months 3 weeks ago - 4 months 3 weeks ago #216500 by DenisChenu
Ici : c'est une erreur …

Sinon : à la version 3 on doit rester compatible PHP5.6,
Pour la version 4 non, donc faire la MAJ vers PHP 7.0 avant. github.com/LimeSurvey/LimeSurvey/pull/1863


Pour la quetson 2 : attend la prochaine version :) 3.X

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.
Last edit: 4 months 3 weeks ago by DenisChenu.
The following user(s) said Thank You: Philippe

Please Log in to join the conversation.

Moderators: Nickko

Start now!

Just create your account and start using Limesurvey today.

Register now